from plesk_config import get
import os

def deployer():
    return os.path.join(get("PRODUCT_ROOT_D"),"admin","bin","deployer")

def backup_sign():
    return os.path.join(get("PRODUCT_ROOT_D"),"admin","sbin","backup_sign")

def agents_dir():
    return os.path.join(get("PRODUCT_ROOT_D"),"PMM","agents")

def backup():
    return '/usr/bin/perl'

def plesk_backup_args():
    return [os.path.join(get("PRODUCT_ROOT_D"),"admin","bin","plesk_agent_manager")]

def pmmcli():
    return os.path.join(get("PRODUCT_ROOT_D"),"admin","bin","pmmcli-runner.py")

def daemon():
    return 'python'

def daemon_args():
    return [os.path.join(pmmcli_dir(),"pmmcli_daemon_runner.py")]

def pmmcli_dir():
    return os.path.join(get("PRODUCT_ROOT_D"),"admin","share","pmmcli")

def pmm_ras():
    return os.path.join(get("PRODUCT_ROOT_D"),"admin","bin","pmm-ras")

def var_dir():
    return os.path.join(get("PRODUCT_ROOT_D"),"PMM","var")

def tasks_dir():
    return os.path.join(get("PRODUCT_ROOT_D"),"PMM","tasks")

def daemontasks_dir():
    return os.path.join(get("PRODUCT_ROOT_D"),"PMM","daemontasks")

def session_dir():
    return os.path.join(get("PRODUCT_ROOT_D"),"PMM","sessions")

def restore_session_dir():
    return os.path.join(get("PRODUCT_ROOT_D"),"PMM","rsessions")

def plesk_runner():
    return os.path.join(get("PRODUCT_ROOT_D"),"bin","sw-engine-pleskrun")

def plesk_runner_args():
    return []

def pmm_conflict_detector():
    return os.path.join(get("PRODUCT_ROOT_D"),"admin","plib","backup","Conflicts","Runner.php")

def pmm_conflict_resolver():
    return os.path.join(get("PRODUCT_ROOT_D"),"admin","plib","backup","Conflicts","Runner.php")

def tmp_directory():
    return os.path.join(get("PRODUCT_ROOT_D"),"tmp")

def pmm_logs_directory():
    return os.path.join(get("PRODUCT_ROOT_D"),"PMM","logs")

def pmm_api_xml_protocols_schema():
    return os.path.join(get("PRODUCT_ROOT_D"),"PMM","schemas","pmm_api_xml_protocols.xsd")

def pmmcli_deployer_lock_file():
    return os.path.join(pmmcli_dir(), ".deployer_lock")

def execution_result_schema():
    return os.path.join(get("PRODUCT_ROOT_D"),"PMM","schemas","execution_result.xsd")

def pmm_suspend_handler():
    return os.path.join(get("PRODUCT_ROOT_D"),"admin","plib","backup","suspend_handler","SuspendHandlerRunner.php")
